# Contributing

Hi! Thank you for considering contributing to Gotenberg. You'll
find below useful information about how to contribute to the Gotenberg project.

## Contributing code

### Install from sources

1. Install and run the latest version of Docker
2. Verify your Go version (>= 1.14)
3. Fork this repository
4. Clone it outside of your `GOPATH` (we're using Go modules)

### Working with git

1. Create your feature branch (`git checkout -b my-new-feature`)
2. Commit your changes (`git commit -am 'Add some feature'`)
3. Push to the branch (`git push origin my-new-feature`)
4. Create a new pull request

### Testing

1. Run all linters (`make lint`)
2. Run all tests (`make tests`)

## Reporting bugs and feature request

Your issue or feature request may already be reported!
Please search on the [issue tracker](../../../issues) before creating one.

If you do not find any relevant issue or feature request, feel free to
add a new one!

## Additional resources

* [Code of conduct](CODE_OF_CONDUCT.md)
* [Issue template](ISSUE_TEMPLATE.md)
* [Pull request template](PULL_REQUEST_TEMPLATE.md)
